## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           dtk6core
Version:        6.0.24
Release:        %autorelease
Summary:        Deepin tool kit core modules
License:        LGPL-3.0-or-later
URL:            https://github.com/linuxdeepin/dtk6core
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  gcc-c++
BuildRequires:  cmake
BuildRequires:  ninja-build

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Xml)
BuildRequires:  cmake(Qt6ToolsTools)
BuildRequires:  cmake(Qt6Concurrent)
BuildRequires:  qt6-qtbase-private-devel
%{?_qt6:Requires: %{_qt6}%{?_isa} = %{_qt6_version}}

BuildRequires:  cmake(Dtk6Log)
BuildRequires:  cmake(DtkBuildHelper)
BuildRequires:  cmake(spdlog)

BuildRequires:  pkgconfig(icu-uc)
BuildRequires:  pkgconfig(uchardet)
BuildRequires:  pkgconfig(libsystemd)

BuildRequires:  libasan

Requires:       deepin-desktop-base

%description
Deepin tool kit core modules.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       dtkcommon-devel%{_isa}

%description    devel
This package contains development files for %{name}.

%prep
%autosetup -p1
# comply with dtkcore in Fedora and dtk6core in Arch Linux
sed -i 's|/etc/os-version|/etc/dde-version|' src/dsysinfo.cpp

%build
%cmake -GNinja -DDTK_VERSION=%{version}
%cmake_build

%install
%cmake_install

%files
%license LICENSE
%doc README.md
%{_libdir}/libdtk6core.so.6*
%{_libexecdir}/dtk6/DCore/

%files devel
%{_libdir}/libdtk6core.so
%{_includedir}/dtk6/DCore/
%{_libdir}/cmake/Dtk6Core/
%{_libdir}/cmake/Dtk6CMake/
%{_libdir}/cmake/Dtk6DConfig/
%{_libdir}/cmake/Dtk6Tools/
%{_libdir}/pkgconfig/dtk6core.pc
%{_qt6_archdatadir}/mkspecs/modules/*.pri
%{_qt6_archdatadir}/mkspecs/features/*.prf

%changelog
## START: Generated by rpmautospec
* Thu Dec 05 2024 Jan Grulich <grulja@gmail.com> - 6.0.24-1
- 6.0.24

* Thu Dec 05 2024 Jan Grulich <grulja@gmail.com> - 6.0.21-3
- Fix build against Qt 6.8.1

* Wed Dec 04 2024 Jan Grulich <grulja@gmail.com> - 6.0.21-2
- Rebuild (qt6)

* Thu Oct 31 2024 topazus <topazus@outlook.com> - 6.0.21-1
- 6.0.21

* Wed Oct 16 2024 Jan Grulich <jgrulich@redhat.com> - 6.0.19-4
- Fix build against Qt 6.8

* Mon Oct 14 2024 Jan Grulich <jgrulich@redhat.com> - 6.0.19-3
- Rebuild (qt6)

* Thu Aug 29 2024 topazus <topazus@outlook.com> - 6.0.19-2
- add dtkcommon-devel build dependency to dtk6core-devel package

* Thu Aug 29 2024 topazus <topazus@outlook.com> - 6.0.19-1
- 6.0.19

* Sat Jul 27 2024 topazus <topazus@outlook.com> - 6.0.18-3
- Add new build dependency of dtk6log

* Wed Jul 17 2024 Fedora Release Engineering <releng@fedoraproject.org> - 6.0.18-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Tue Jul 16 2024 topazus <topazus@outlook.com> - 6.0.18-1
- 6.0.18

* Sat Jun 01 2024 topazus <topazus@outlook.com> - 6.0.16-2
- put files in /usr/libexec/dtk6/DCore/ to dtk6core

* Sun May 26 2024 topazus <topazus@outlook.com> - 6.0.16-1
- initial import; rhbz#2283235
## END: Generated by rpmautospec
